#!/bin/bash
# Explore the effect of an increasing Monhorst-Pack grid and cutoff energy
# nguyen@flex.phys.tohoku.ac.jp
#############

name='gr.k-point'

#############
s=0; ecut=60;

for n in 4 5 6 7 8 9 10 11 12 13 14; do

cat > $name.$n.in << EOF
 &CONTROL
       calculation = 'scf',
      restart_mode = 'from_scratch',
        pseudo_dir = '../pseudo/',
            outdir = '../tmp/',
            prefix = 'gr',
 /
 &SYSTEM
             ibrav = 4,
                 a = 2.4623,
                 c = 10
               nat = 2,
              ntyp = 1,
       occupations = 'smearing',
          smearing = 'methfessel-paxton',
           degauss = 0.02,
           ecutwfc = ${ecut},
           ecutrho = 720,
              nbnd = 8,
 /
 &ELECTRONS
          conv_thr = 1.0d-8,
       mixing_beta = 0.7,
 /
ATOMIC_SPECIES
C 12.0107 C.pbe-rrkjus.UPF
ATOMIC_POSITIONS (crystal)
C  0.333333333  0.666666666  0.500000000
C  0.666666666  0.333333333  0.500000000
K_POINTS (automatic)
${n} ${n} ${n} ${s} ${s} ${s}
EOF

mpirun -np 2 pw.x <$name.$n.in>$name.$n.out

awk '/\!/ {E=$5} $1=="PWSCF" {printf"%3d %s %s\n",'$n',E,$3}' $name.$n.out >> calc-mp.dat

done
